package biblioteca;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

public class InformazioniSu extends JDialog {

	/**
	 * Create the dialog.
	 */
	public InformazioniSu() {
		setModal(true);
		setTitle("Informazioni su Biblioteca");
		setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		setBounds(100, 100, 350, 230);

		JLabel lblInformazioni = new JLabel(
				"<html><b>Biblioteca</b><br><br>Programma realizzato dalla classe 4\u00AA E del Liceo \"Peano-Pellico\" di Cuneo<br><br><small>All Rights Reserved \u00A9 2017</small></html;");
		lblInformazioni.setIconTextGap(10);
		lblInformazioni.setBorder(new EmptyBorder(10, 10, 10, 10));
		lblInformazioni.setFont(new Font("Tahoma", Font.PLAIN, 14));
		lblInformazioni.setIcon(
				new ImageIcon(InformazioniSu.class.getResource("/immagini/biblioteca.png")));
		getContentPane().add(lblInformazioni);

		JPanel panelOk = new JPanel();
		getContentPane().add(panelOk, BorderLayout.SOUTH);

		JButton btnOk = new JButton("OK");
		btnOk.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				setVisible(false);
			}
		});
		panelOk.add(btnOk);
		getRootPane().setDefaultButton(btnOk);
	}

}
